package cn.im.ptlxstore.service;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.base.bean.BaseService;
import cn.base.util.CommUtils;
import cn.im.ptlxstore.dao.PtlxccqzDao;

@Service("ptlxccqzService")
public class PtlxccqzService extends BaseService {
	
	private static Log log = LogFactory.getLog(PtlxccqzService.class);
	
	@Autowired
	private PtlxccqzDao ptlxccqzDao;
	
	/**
	 * 保存记录
	 * 
	 * @param
	 * @return
	 */
	public void insert_Ptlxccqz(Map map) throws SQLException{
		CommUtils.addParams(map, false);
		ptlxccqzDao.insert_Ptlxccqz(map);
	}

	
	/**
	 * 修改记录
	 * 
	 * @param
	 * @return
	 */
	public Integer update_Ptlxccqz(Map map) throws SQLException{
		CommUtils.validateUpdateParams(map);
		CommUtils.addParams(map, true);
		return ptlxccqzDao.update_Ptlxccqz(map);
	}
	
	/**
	 * 删除记录
	 * 
	 * @param
	 * @return
	 */
	public Integer delete_Ptlxccqz(Map map) throws SQLException{
		CommUtils.validateDeleteParams(map);
		return ptlxccqzDao.delete_Ptlxccqz(map);
	}
	
	/**
	 * 批处理删除记录
	 * 
	 * @param
	 */
	public Integer batch_delete_Ptlxccqz(Map map) throws SQLException{
		return ptlxccqzDao.batch_delete_Ptlxccqz(map);
	}

	
	/**
	 * 查询总数
	 * 
	 * @param
	 * @return
	 */
	public Integer count_Ptlxccqz(Map map) throws SQLException{
		return ptlxccqzDao.count_Ptlxccqz(map);
	}
	
	/**
	 * 查询列表记录SELECT
	 * 
	 * @param
	 * @return
	 */
	public List<Map> query_Ptlxccqz(Map map) throws SQLException{
		return ptlxccqzDao.query_Ptlxccqz(map);
	}
	
	/**
	 * 查询一条
	 * 
	 * @param
	 * @return
	 */
	public Map get_Ptlxccqz(Map map) throws SQLException{
		return ptlxccqzDao.get_Ptlxccqz(map);
	}
	
	/**
	 * 导出EXCEL
	 * 
	 * @param
	 * @return
	 */
	public Map exportPtlxccqz(Map map) throws SQLException{
		return this.listPtlxccqzByPage(map);
	}
	
	/**
	 * Ptlxccqz 分页
	 * @param map
	 * @return
	 * @throws SQLException
	 */
	public Map listPtlxccqzByPage(Map map) throws SQLException {
		List<Map> list = ptlxccqzDao.query_Ptlxccqz(map);
		Integer totalCount = ptlxccqzDao.count_Ptlxccqz(map);
		map.clear();
		map.put("total", totalCount);
		map.put("rows", list);
		return map;
	}
}
